%define section free

Summary:        CyberNeko DTD Converter
Name:           nekodtd
Version:        0.1.11
Release:        1jpp
Epoch:          0
License:        Apache-style
URL:            http://people.apache.org/~andyc/neko/doc/dtd/
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        nekodtd-0.1.11.tar.gz
BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.6
BuildRequires:  xerces-j2-demo
BuildRequires:  xml-commons-apis

Requires:  xerces-j2
Requires:  xml-commons-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
NekoDTD is a configuration that parses Document Type Definition 
(DTD) files and converts the information into an XML document. 
This representation can then be processed using standard XML 
processors and applications to perform grammar analysis, convert 
the DTD into other grammar formats, etc. For example, using an 
XSLT stylesheet, the XML representation of the DTD can be 
converted to an equivalent XML Schema or Relax NG grammar. 
The NekoDTD parser configuration is written using the Xerces 
Native Interface (XNI) that is the foundation of the Xerces2 
implementation. This enables you to use NekoDTD with existing 
XNI tools without modification or rewriting code. 



%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{name}-%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done

%build
mkdir lib
(cd lib
ln -sf $(build-classpath ant)
ln -sf /usr/share/xerces-j2/xerces-j2-samples.jar
)

ant -f build-dtd.xml package

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 %{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/dtd/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


rm -rf doc/dtd/javadoc

# docs
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/dtd/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/LICENSE
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.1.11-1jpp
- First JPP release
